import request from '@/utils/request'

// 分页查询桌码列表
// export function getTableList(query) {
//   return request({
//     url: 'backendApi/table/list',
//     method: 'get',
//     params: query
//   })
// }
export function getTableList(query) {
  return request({
    url: 'backendApi/table_info/list',
    method: 'get',
    params: query
  })
}

// 查询桌码信息
// export function getTableInfo(tableId) {
//   return request({
//     url: 'backendApi/table/info/' + tableId,
//     method: 'get'
//   })
// }
// 查询桌码信息
export function getTableInfo(tableId) {
  return request({
    url: 'backendApi/table_info/info/' + tableId,
    method: 'get'
  })
}

// 更新桌码状态
// export function updateTableStatus(id, status) {
//   const data = {
//     id,
//     status
//   }
//   return request({
//     url: 'backendApi/table/updateStatus',
//     method: 'post',
//     data: data
//   })
// }
export function updateTableStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: 'backendApi/table_info/updateStatus',
    method: 'post',
    data: data
  })
}

// 保存桌码信息
export function saveTable(data) {
  return request({
    url: 'backendApi/table/save',
    method: 'post',
    data: data
  })
}
// 修改桌码信息
export function saveTableUpdate(data) {
  return request({
    url: 'backendApi/table_info/update',
    method: 'post',
    data: data
  })
}
// 新增桌码信息
export function addTableInfo(data) {
  return request({
    url: 'backendApi/table_info/addTableInfo',
    method: 'post',
    data: data
  })
}
// 删除桌码信息
export function deleteTableInfo(data) {
  return request({
    url: '/backendApi/table_info/delete/' + data,
    method: 'delete',
    data: data
  })
}
