import en from '@/locales/en.json'
import zh from '@/locales/zh.json'
import ru from '@/locales/ru.json'
import sr from '@/locales/sr.json'
import enLocale from 'element-ui/lib/locale/lang/en'
import zhLocale from 'element-ui/lib/locale/lang/zh-CN'
import srLocale from 'element-ui/lib/locale/lang/sr'
import ruLocale from 'element-ui/lib/locale/lang/ru-RU'
import VueI18n from 'vue-i18n'
import Vue from 'vue'
import ElementLocale from 'element-ui/lib/locale'
// 创建 i18n
Vue.use(VueI18n) // 新版本必须要这个，不知道为什么
function loadLanguage() {
  const languages = {
    en: {
      ...en,
      ...enLocale
    },
    zh: {
      ...zh,
      ...zhLocale
    },
    sr: {
      ...sr,
      ...srLocale
    },
    ru: {
      ...ru,
      ...ruLocale
    }
  }

  return languages
}
const defaultLang = localStorage.getItem('language') || 'en'
const i18n = new VueI18n({
  locale: defaultLang, // 默认语言
  fallbackLocale: 'en', // 回退语言
  messages: loadLanguage() // 设置语言包
})
ElementLocale.i18n((key, value) => i18n.t(key, value))
export default i18n
